## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 25;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name spec2scl

Name:           %{pypi_name}
Version:        1.2.2
Release:        %autorelease
Summary:        Convert RPM specfiles to be SCL ready

License:        MIT
URL:            https://github.com/sclorg/spec2scl
Source0:        %{pypi_source}

# Drop pytest-runner and "setup.py test" support
# https://github.com/sclorg/spec2scl/pull/40
# https://fedoraproject.org/wiki/Changes/DeprecatePythonPytestRunner
# This version omits changes to tox.ini, since it is not included in the sdist.
Patch:          spec2scl-1.2.2-no-pytest-runner.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist flexmock} >= 0.9.3
BuildRequires:  %{py3_dist jinja2}
BuildRequires:  %{py3_dist pytest}

%description
spec2scl is a tool to convert RPM specfiles to SCL-style specfiles.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}
install -D -m 644 spec2scl.1 %{buildroot}%{_mandir}/man1/spec2scl.1

%check
%pyproject_check_import

%if 0%{?fedora}
%pytest
%endif

%files -f %{pyproject_files}
%doc README.rst
%{_bindir}/%{pypi_name}
%{_mandir}/man1/spec2scl.1*

%changelog
## START: Generated by rpmautospec
* Wed Jul 09 2025 Jan Staněk <jstanek@redhat.com> - 1.2.2-25
- Convert to pyproject macros

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.2.2-21
- Rebuilt for Python 3.14

* Wed Mar 05 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.2-20
- Drop pytest-runner and "setup.py test" support

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.2.2-17
- Rebuilt for Python 3.13

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 1.2.2-14
- Rebuilt for Python 3.12

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.2.2-11
- Rebuilt for Python 3.11

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.2-8
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-5
- Rebuilt for Python 3.9

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-3
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Wed Aug 21 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-2
- Rebuilt for Python 3.8

* Mon Aug 19 2019 Jan Staněk <jstanek@redhat.com> - 1.2.2-1
- Update to version 1.2.2
- Modernize spec file

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.1-7
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.2.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Nov 21 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.2.1-1
- Update to 1.2.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 12 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.2.0-2
- Use 1.2.0 as release version

* Wed Apr 12 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.2-1
- Update to 1.2

* Thu Feb 16 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.1.4-1
- Update to 1.1.4

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1.3-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jun 29 2015 Slavek Kabrda <bkabrda@redhat.com> - 1.1.3-1
- Update to 1.1.3

* Mon Jun 22 2015 Slavek Kabrda <bkabrda@redhat.com> - 1.1.1-1
- Update to 1.1.1
- Run spec2scl on Python 3

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0a-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0a-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Robert Kuska <rkuska@redhat.com> - 1.1.0a-1
- Update to 1.1.0a

* Mon Apr 28 2014 Robert Kuska <rkuska@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.1-1
- Update to 1.0.1.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.4-1
- Update to 0.3.4.

* Wed Dec 19 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.3-1
- Update to 0.3.3.

* Thu Nov 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.2-1
- Update to 0.3.2.
- Add the missing Requires: python-setuptools.

* Fri Sep 21 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.1-2
- Disable tests on el6 (no pytest).

* Tue Sep 18 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.1-1
- Initial package.

## END: Generated by rpmautospec
